Bug 1468608 - IDN2 strips any underscores from domain name
IDN2 strips any underscores from domain name
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libidn2 (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On: 1474324
Blocks: 1449145
  Show dependency treegraph
 
Reported: 2017-07-07 10:07 EDT by Petr Menšík
Modified: 2017-08-17 21:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: libidn2-2.0.3-1.fc26 libidn2-2.0.3-1.fc25 libidn2-2.0.3-1.el6 libidn2-2.0.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 11:53:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Menšík 2017-07-07 10:07:21 EDT
Description of problem:
IDN2 library will strip any underscores from give names

Version-Release number of selected component (if applicable):
libidn2-2.0.2-1.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. idn2 _xmpp-server._tcp.domain.com
2.
3.

Actual results:
xmpp-server.tcp.domain.com

Expected results:
_xmpp-server._tcp.domain.com

Additional info:
Switched dnsmasq to libidn2 as bug #1449150. However regression was reported at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220521

Are SRV record supposed to be displayed in punnycode all the time?
Transitional mode does not help. idn command does not strip underscores.

Is there any known workaround or solution with libidn2?
Comment 1 Nikos Mavrogiannopoulos 2017-07-31 04:57:46 EDT
This was reported independently by the systemd maintainers as well upstream. The solution is to upgrade to 2.0.3 (thus added dependency on resolving this bug).
Comment 2 Robert Scheck 2017-07-31 06:07:15 EDT
Depends on https://gitlab.com/libidn/libidn2/issues/37 which was fixed
during the weekend AFAIK.
Comment 3 Nikos Mavrogiannopoulos 2017-07-31 06:47:44 EDT
I didn't realize that. However, ronn is available in fedora under rubygem-ronn (for some unknown reason).
Comment 4 Fedora Update System 2017-07-31 18:56:55 EDT
libidn2-2.0.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02aafa240a
Comment 5 Fedora Update System 2017-07-31 19:01:05 EDT
libidn2-2.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68c82191ac
Comment 6 Fedora Update System 2017-08-01 18:19:18 EDT
libidn2-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68c82191ac
Comment 7 Fedora Update System 2017-08-01 18:21:04 EDT
libidn2-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-eb977ce18e
Comment 8 Fedora Update System 2017-08-01 19:49:22 EDT
libidn2-2.0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed0d7ff15
Comment 9 Fedora Update System 2017-08-01 21:52:41 EDT
libidn2-2.0.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02aafa240a
Comment 10 Fedora Update System 2017-08-01 23:51:15 EDT
libidn2-2.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-326839d976
Comment 11 Fedora Update System 2017-08-03 11:53:49 EDT
libidn2-2.0.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-08-09 15:59:01 EDT
libidn2-2.0.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-08-17 20:47:10 EDT
libidn2-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-08-17 21:21:12 EDT
libidn2-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.